Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 453041

Summary: pidgin bouncing IRC connections to freenode
Product: [Fedora] Fedora Reporter: Clark Williams <williams>
Component: pidginAssignee: Warren Togami <wtogami>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: medium    
Version: 10CC: stu
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-03-24 15:09:47 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Clark Williams 2008-06-26 20:17:18 UTC
Description of problem:
pidgin running with AIM, Gtalk and IRC connections to internal RH and freenode.
The freenode connection will drop and then reconnect. 

Version-Release number of selected component (if applicable):
pidgin-libnotify-0.13-3.fc9.x86_64
pidgin-2.4.2-1.fc10.x86_64
pidgin-otr-3.2.0-1.fc10.x86_64

How reproducible:
sporadic repeats. No user-interaction required to cause.

Steps to Reproduce:
1. Start pidgin and connect to freenode
2. Wait for disconnect

Additional info:

I notice that pidgin really doesn't like the welcome info sent by the freenode
servers:
-----------------------------------------------------------------------
(08:52:54) irc: Unrecognized string: NOTICE AUTH :*** Couldn't look up your hostname
(08:52:54) irc: Unrecognized message: :leguin.freenode.net 001 clark|w :Welcome
to the freenode IRC Network clark|w
(08:52:54) irc: Unrecognized message: :leguin.freenode.net 002 clark|w :Your
host is leguin.freenode.net[leguin.acc.umu.se/6667], running version hyperion-1.0.2b
(08:52:54) irc: Unrecognized string: NOTICE clark|w :*** Your host is
leguin.freenode.net[leguin.acc.umu.se/6667], running version hyperion-1.0.2b
(08:52:54) irc: Unrecognized message: :leguin.freenode.net 003 clark|w :This
server was created Mon Dec 10 19:00:19 UTC 2007
(08:52:54) irc: Unrecognized message: :leguin.freenode.net 004 clark|w
leguin.freenode.net hyperion-1.0.2b
aAbBcCdDeEfFGhHiIjkKlLmMnNopPQrRsStTuUvVwWxXyYzZ01234569*@ bcdefFhiIklmnoPqstv
(08:52:54) jabber: jabber_actions: have pep: NO
(08:52:54) connection: Activating keepalive.
(08:52:54) irc: Unrecognized message: :leguin.freenode.net 252 clark|w 39
:flagged staff members
(08:52:54) irc: Unrecognized message: :leguin.freenode.net 254 clark|w 21261
:channels formed
(08:52:54) irc: Unrecognized message: :leguin.freenode.net 265 clark|w :Current
local  users: 3257  Max: 4394
(08:52:54) irc: Unrecognized message: :leguin.freenode.net 266 clark|w :Current
global users: 44129  Max: 49086
(08:52:54) irc: Unrecognized message: :leguin.freenode.net 250 clark|w :Highest
connection count: 4396 (4394 clients) (700520 since server was (re)started)
-----------------------------------------------------------------------

This is followed in the log by these dbus messages:

-----------------------------------------------------------------------
(08:52:54) dbus: Invalid UTF-8 string passed to signal, emitting salvaged string!
(08:52:54) dbus: Invalid UTF-8 string passed to signal, emitting salvaged string!
(08:52:54) g_log: Error loading plugin: /usr/lib/enchant/libenchant_myspell.so:
wrong ELF class: ELFCLASS32

(08:52:54) dbus: Need to register an object with the dbus subsystem. (If you are
not a developer, please ignore this message.)
(08:52:54) dbus: The signal "conversation-displayed" caused some dbus error. (If
you are not a developer, please ignore this message.)
(08:52:54) irc: Unrecognized message: :leguin.freenode.net 901 clark|w clark|w
n=williams 12.68.228.100 :You are now logged in. (id clark|w, username
n=williams, hostname 12.68.228.100)
(08:52:54) g_log: Error loading plugin: /usr/lib/enchant/libenchant_myspell.so:
wrong ELF class: ELFCLASS32

(08:52:54) dbus: Need to register an object with the dbus subsystem. (If you are
not a developer, please ignore this message.)
(08:52:54) dbus: The signal "conversation-displayed" caused some dbus error. (If
you are not a developer, please ignore this message.)
-----------------------------------------------------------------------

Comment 1 John Poelstra 2008-06-27 03:02:41 UTC
triaged

Comment 2 Clark Williams 2008-06-28 14:31:50 UTC
additional info, this affects the pidgin delivered with F9 as well.

Comment 3 Warren Togami 2008-11-20 22:06:46 UTC
Is this still an issue now with pidgin-2.5.2?  I don't see this behavior.

Comment 4 Bug Zapper 2008-11-26 02:28:30 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping